/**
 * author:duxp
 * desc:接口统一管理
 */
const http = require('./http');
const API = {
	//获取用户信息
	getUserInfo:data => http.request("GET","/wx/index/getUserInfo",data,false),
	//获取验证码
	getMsgCode:data => http.request("GET","/wx/health/sendSms",data,false),
	//绑定用户
	saveBind:data => http.request("POST","/wx/health/bind",data,false),
	//信息查询列表
	queryList:data => http.request("POST","/wx/index/queryList",data,true),
	//附件提交
	commit:data => http.request("POST","/wx/index/commit",data,true),
	//审核接口
	reviewedSave:data => http.request("POST","/wx/index/reviewedSave",data,true),
	//驳回接口
	reback:data => http.request("GET","/wx/index/reback",data,true),
	//任务预警
	warnList:data => http.request("POST","/wx/index/warnList",data,true),
	//审批预警
	approveList:data => http.request("POST","/wx/index/approveList",data,true),
	//指标数据
	queryTree:data => http.request("POST",'/wx/index/queryTree',data,true),
	//部门数据
	deptList:data => http.request("POST","/wx/index/deptList",data,true),
	//人员数据
	personList:data => http.request("POST","/wx/index/personList",data,true),
	//上传
	upload:data => http.request("POST","/common/uploads",data,true)
}
module.exports = {
  API:API
}
